Bug 1198851

Summary: missing rolekit.roles.domaincontroller(5)
Product: [Fedora] Fedora Reporter: Dan Mossor [danofsatx] <danofsatx>
Component: rolekitAssignee: Thomas Woerner <twoerner>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 21CC: sgallagh, twoerner
Target Milestone: ---   
Target Release: ---   
Hardware: noarch   
OS: Linux   
Whiteboard:
Fixed In Version: 0.4.0-4.rc1.fc23 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-09-04 19:45:35 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Dan Mossor [danofsatx] 2015-03-04 22:57:03 UTC
The manpage for both rolectl and rolekit state:

SEE ALSO
       rolekit(1), rolectl(1), roled(5), rolekit.dbus(5), rolekit.roles(5), rolekit.roles.domaincontroller(5)


rolekit-0.1.2-1.fc21.noarch provides *ONLY* these files:

[root@vader ~]# rpm -qd rolekit
/usr/share/doc/examples/testrole/role.py
/usr/share/doc/examples/testrole/role.pyc
/usr/share/doc/examples/testrole/role.pyo
/usr/share/doc/rolekit/COPYING
/usr/share/doc/rolekit/README
/usr/share/man/man1/rolectl.1.gz
/usr/share/man/man1/roled.1.gz
/usr/share/man/man5/rolekit.5.gz
/usr/share/man/man5/rolekit.dbus.5.gz
/usr/share/man/man5/rolekit.roles.5.gz
[root@vader ~]#
 
Notice that /usr/share/man/man5/rolekit.roles.domaincontroller.5.gz  is missing from that list.

The result being that there is no example settings file, or the instructions as to what should go in the settings file available on an installed F21 system.

The page exists at [0], but is not yet included in the rolekit package.

[0] https://sgallagh.fedorapeople.org/rolekit/man/latest/rolekit.roles.domaincontroller.html

Comment 1 Stephen Gallagher 2015-03-26 16:29:48 UTC
This is fixed upstream and will be addressed once we backport 0.4.0 to Fedora 21.

Comment 2 Fedora Update System 2015-09-02 19:05:25 UTC
rolekit-0.4.0-3.rc1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14897

Comment 3 Fedora Update System 2015-09-03 09:52:22 UTC
rolekit-0.4.0-3.rc1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update rolekit'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14897

Comment 4 Fedora Update System 2015-09-03 16:04:41 UTC
rolekit-0.4.0-4.rc1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14897

Comment 5 Fedora Update System 2015-09-04 07:34:15 UTC
rolekit-0.4.0-4.rc1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update rolekit'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14897

Comment 6 Fedora Update System 2015-09-04 19:45:32 UTC
rolekit-0.4.0-4.rc1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.